Register tenant
POST
/tenants
Registers a new tenant. A verification email is sent to the owner email address. Email verification must be completed before owner login is available. Password must be at least 8 characters.
Request Body required
Section titled “Request Body required ”Request to register a new tenant.
object
owner_email
required
Email address for the tenant owner.
string
owner_password
required
Password for the tenant owner (min 8 characters).
string
short_name
required
Unique short name for the tenant (used in URLs).
string
Responses
Section titled “ Responses ”Tenant created
Tenant information returned after creation or lookup.
object
email_verified
required
Whether the user’s email has been verified.
boolean
role
required
Role of the requesting user in this tenant.
string
short_name
required
Tenant short name.
string
tenant_id
required
Unique tenant identifier.
string format: uuid
Invalid request
Generic error response for OpenAPI documentation.
object
error
required
Error message.
string
Example
{ "error": "Short name or email conflict"}Short name or email conflict
Generic error response for OpenAPI documentation.
object
error
required
Error message.
string
Example
{ "error": "Short name or email conflict"}Server error